This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 814718 - (CVE-2012-2125, CVE-2012-2126) CVE-2012-2125 CVE-2012-2126 rubygems: Two security fixes in v1.8.23
CVE-2012-2125 CVE-2012-2126 rubygems: Two security fixes in v1.8.23
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20120419,repor...
: Reopened, Security
Depends On: 814725 814724 814759 847393 903992 988679 1002838 1002839 1002841 1002842 1002843
Blocks: 814763 869077 1034635
  Show dependency treegraph
 
Reported: 2012-04-20 10:22 EDT by Jan Lieskovsky
Modified: 2015-08-20 02:37 EDT (History)
11 users (show)

See Also:
Fixed In Version: rubygem 1.8.23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-09-18 16:35:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2012-04-20 10:22:50 EDT
Two security flaws were corrected in upstream rubygems v1.8.23 version:
#1 RubyGems now disallows redirection from HTTPS to HTTP,
#2 RubyGems now verifies SSL connections.

References:
[1] https://github.com/rubygems/rubygems/blob/1.8/History.txt

Upstream patch:
[2] https://github.com/rubygems/rubygems/commit/d4c7eafb8efe1e13a7abf5be5a5b4548870b15b7
Comment 1 Jan Lieskovsky 2012-04-20 10:35:32 EDT
These issues affect the versions of the rubygems package, as shipped with Red Hat Enterprise Linux 6.

--

These issues affect the versions of the rubygems package, as shipped with Fedora release of 15 and 16. Please schedule the updates.

--

These issues affect the version of the rubygems package, as shipped with Fedora EPEL 5. Please schedule the update.
Comment 2 Jan Lieskovsky 2012-04-20 10:36:49 EDT
Created rubygems tracking bugs for this issue

Affects: fedora-all [bug 814724]
Affects: epel-5 [bug 814725]
Comment 6 Jan Lieskovsky 2012-04-20 11:03:21 EDT
CVE Request:
[3] http://www.openwall.com/lists/oss-security/2012/04/20/23
Comment 7 Jan Lieskovsky 2012-04-20 11:20:08 EDT
Created jruby tracking bugs for this issue

Affects: fedora-16 [bug 814759]
Comment 8 Jan Lieskovsky 2012-04-20 11:20:55 EDT
These issues affect the version of the jruby package, as shipped with Fedora release of 16. Please schedule an update.
Comment 9 Jan Lieskovsky 2012-04-22 13:46:09 EDT
The CVE identifier of CVE-2012-2125 has been assigned to the:
* #1 RubyGems now disallows redirection from HTTPS to HTTP.

issue and identifier of CVE-2012-2126 has been assigned to the:
* #2 RubyGems now verifies SSL connections.

issue:
http://www.openwall.com/lists/oss-security/2012/04/20/24
Comment 10 David Jorm 2012-04-25 23:28:28 EDT
JBoss Enterprise SOA Platform includes jruby.jar as part of the scripting_chain quickstart. It is only deployed if you use this quickstart. jruby.jar does not include rubygems; this is provided by another component of the jruby distribution which is not included by JBoss Enterprise SOA Platform. Therefore JBoss Enterprise SOA Platform is not affected by these flaws in rubygems.
Comment 11 Fedora Update System 2012-04-30 20:52:22 EDT
rubygems-1.7.2-5.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2012-04-30 20:52:39 EDT
rubygems-1.8.11-3.fc16.1 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2012-05-02 00:45:47 EDT
rubygems-1.8.23-20.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Kurt Seifried 2013-07-26 03:43:38 EDT
Statement:

The Red Hat Security Response Team has rated this issue as having moderate security impact in CloudForms 1.1. This issue is not currently planned to be addressed in future updates.
Comment 18 errata-xmlrpc 2013-09-04 14:00:55 EDT
This issue has been addressed in following products:

  RHEL 6 Version of OpenShift Enterprise 1.2

Via RHSA-2013:1203 https://rhn.redhat.com/errata/RHSA-2013-1203.html
Comment 19 errata-xmlrpc 2013-10-17 13:20:25 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:1441 https://rhn.redhat.com/errata/RHSA-2013-1441.html
Comment 21 errata-xmlrpc 2013-12-17 13:38:55 EST
This issue has been addressed in following products:

  MRG for RHEL-6 v.2

Via RHSA-2013:1852 https://rhn.redhat.com/errata/RHSA-2013-1852.html
Comment 24 Kurt Seifried 2014-09-18 16:35:05 EDT
SAM-1 uses rubygems as a dependency and does not directly download or install additional ruby gems once installed.

Note You need to log in before you can comment on or make changes to this bug.